Skip to content
Browse files

updated post-install message

  • Loading branch information...
1 parent 726249c commit 1617516dd2e47e156da887a9b9b8cf84c3873c94 @vertiginous committed Oct 6, 2009
Showing with 16 additions and 11 deletions.
  1. +3 −3 README.rdoc
  2. +13 −8 Rakefile
View
6 README.rdoc
@@ -18,9 +18,9 @@ You have to tell it where your different ruby versions live using
It also supports running commands/code with all versions configured.
- pik run : Runs commands on the command line
- pik ruby : Runs using the ruby interpreter for each version (ruby.exe, jruby.bat, ir.exe)
- pik gem : Runs using the gem command for each version (gem.bat, igem.bat)
+ pik run # Runs commands on the command line
+ pik ruby # Runs using the ruby interpreter for each version (ruby.exe, jruby.bat, ir.exe)
+ pik gem # Runs using the gem command for each version (gem.bat, igem.bat)
== FEATURES/PROBLEMS:
View
21 Rakefile
@@ -18,15 +18,20 @@ Hoe.spec('pik') do
----------------------------------------------------------------------------
- 1. Use 'pik add' to add all versions of ruby to your pik config,
- or use 'pik add -i' for an interactive console to do the same.
- The current ruby version is added by default.
-
- see 'pik help add' for more info
+1. If you've used a version previous to this one, you'll need to uninstall them.
+ Don't worry, this will leave your pik config intact.
+
+ pik run "gem uninstall pik"
+
+2. Install the pik gem
+
+ gem install pik
+
+3. You need to install pik to a location that's in your path, but someplace other than your ruby\bin dir
+
+ pik_install C:\\some\\other\\path
- 2. Run 'pik run "gem install pik"' to install pik to all Ruby versions.
-
- 3. Run 'pik help' for help.
+4. Add all the versions of ruby that you want to use with pik
----------------------------------------------------------------------------

0 comments on commit 1617516

Please sign in to comment.
Something went wrong with that request. Please try again.